using Modules.User.Application.Models;
using Modules.User.Application.Models.Access;

namespace Modules.User.Application.Gateways;

public interface IRoleQueries
{
    Task<PagedData<RoleShort>> GetRolesAsync(RoleListFilter filter, CancellationToken ct = default);
    Task<Role?> GetDetailByIdAsync(int roleId, CancellationToken ct = default);
}